# Interface Observer

@Deprecated(since="9") public interface Observer
Deprecated.
This interface has been deprecated. See the `Observable` class for further information.
A class can implement the `Observer` interface when it wants to be informed of changes in observable objects.

Since:
  1.0
See Also:
  - `Observable`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `update(Observable o, Object arg)`
  Deprecated.
  This method is called whenever the observed object is changed.

- ## Method Details

  - ### update

    void update(Observable o, Object arg)
    Deprecated.
    This method is called whenever the observed object is changed. An application calls an `Observable` object's `notifyObservers` method to have all the object's observers notified of the change.
    Parameters:
      `o` - the observable object.
      `arg` - an argument passed to the `notifyObservers` method.